Bug 192609 - videodog: $RPM_OPT_FLAGS not honored
videodog: $RPM_OPT_FLAGS not honored
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: videodog (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jima
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 17:30 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.31-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-22 14:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-21 17:30:51 EDT
videodog's build doesn't appear to be honoring $RPM_OPT_FLAGS, reusulting in
compiler security features not being used and a more or less useless debuginfo
package.  More info: http://fedoraproject.org/wiki/Packaging/Debuginfo

Possible fix, in %prep:
sed -i -e 's/-O3 -Wall/%{optflags}/' Makefile
Comment 1 Jima 2006-05-22 14:29:06 EDT
Rolled out an update with that added to %prep; been too swamped to verify that
it does what it should do.  If it does, I guess this can be canned as
CURRENTRELEASE: 0.31-3.

Thanks, Ville.
Comment 2 Ville Skyttä 2006-05-22 15:23:48 EDT
Yep, that looks better.

Note You need to log in before you can comment on or make changes to this bug.